curl --request GET \
--url https://sandbox.birrpay.io/account/{account_id}/connectors \
--header 'api-key: <api-key>'import requests
url = "https://sandbox.birrpay.io/account/{account_id}/connectors"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://sandbox.birrpay.io/account/{account_id}/connectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"connector_type": "payment_processor",
"connector_name": "authipay",
"merchant_connector_id": "mca_5apGeP94tMts6rg3U3kR",
"profile_id": "<string>",
"status": "inactive",
"connector_label": "stripe_US_travel",
"payment_methods_enabled": [
{
"accepted_countries": {
"list": [
"FR",
"DE",
"IN"
],
"type": "disable_only"
},
"accepted_currencies": {
"list": [
"USD",
"EUR"
],
"type": "enable_only"
},
"installment_payment_enabled": true,
"maximum_amount": 68607706,
"minimum_amount": 1,
"payment_method": "wallet",
"payment_method_issuers": [
"labore magna ipsum",
"aute"
],
"payment_method_types": [
"upi_collect",
"upi_intent"
],
"payment_schemes": [
"Discover",
"Discover"
],
"recurring_enabled": true
}
],
"test_mode": false,
"disabled": false,
"frm_configs": "\n[{\"gateway\":\"stripe\",\"payment_methods\":[{\"payment_method\":\"card\",\"payment_method_types\":[{\"payment_method_type\":\"credit\",\"card_networks\":[\"Visa\"],\"flow\":\"pre\",\"action\":\"cancel_txn\"},{\"payment_method_type\":\"debit\",\"card_networks\":[\"Visa\"],\"flow\":\"pre\"}]}]}]\n",
"business_country": "AF",
"business_label": "travel",
"business_sub_label": "chase",
"applepay_verified_domains": [
"<string>"
],
"pm_auth_config": {}
}
]Merchant Connector - List
List Merchant Connector Details for the merchant
Authorizations
Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.
Path Parameters
The unique identifier for the merchant account
Response
Merchant Connector list retrieved successfully
Type of the Connector for the financial use case. Could range from Payments to Accounting to Banking.
payment_processor, payment_vas, fin_operations, fiz_operations, networks, banking_entities, non_banking_finance, payout_processor, payment_method_auth, authentication_processor, tax_processor, billing_processor, vault_processor authipay, adyenplatform, stripe_billing_test, phonypay, fauxpay, pretendpay, stripe_test, adyen_test, checkout_test, paypal_test, aci, adyen, affirm, airwallex, amazonpay, archipel, authorizedotnet, bambora, bamboraapac, bankofamerica, barclaycard, billwerk, bitpay, bluesnap, blackhawknetwork, calida, boku, braintree, breadpay, cardinal, cashtocode, celero, chargebee, checkbook, checkout, coinbase, coingate, custombilling, cryptopay, ctp_mastercard, ctp_visa, cybersource, datatrans, deutschebank, digitalvirgo, dlocal, dwolla, ebanx, elavon, facilitapay, finix, fiserv, fiservemea, fiuu, flexiti, forte, getnet, gigadat, globalpay, globepay, gocardless, gpayments, hipay, helcim, hyperswitch_vault, inespay, iatapay, itaubank, jpmorgan, juspaythreedsserver, klarna, loonio, mifinity, mollie, moneris, multisafepay, netcetera, nexinets, nexixpay, nmi, nomupay, noon, nordea, novalnet, nuvei, opennode, paybox, payload, payme, payone, paypal, paysafe, paystack, paytm, payu, peachpayments, payjustnow, payjustnowinstore, phonepe, placetopay, powertranz, prophetpay, rapyd, razorpay, recurly, redsys, santander, shift4, silverflow, square, stax, stripe, stripebilling, taxjar, threedsecureio, tesouro, tokenex, tokenio, trustpay, trustpayments, tsys, vgs, volt, wellsfargo, wise, worldline, worldpay, worldpayvantiv, worldpayxml, worldpaymodular, signifyd, plaid, riskified, xendit, zen, zift, zsl Unique ID of the merchant connector account
"mca_5apGeP94tMts6rg3U3kR"
Identifier for the profile, if not provided default will be chosen from merchant account
64inactive, active A unique label to identify the connector account created under a profile
"stripe_US_travel"
An object containing the details about the payment methods that need to be enabled under this merchant connector account
Show child attributes
Show child attributes
[ { "accepted_countries": { "list": ["FR", "DE", "IN"], "type": "disable_only" }, "accepted_currencies": { "list": ["USD", "EUR"], "type": "enable_only" }, "installment_payment_enabled": true, "maximum_amount": 68607706, "minimum_amount": 1, "payment_method": "wallet", "payment_method_issuers": ["labore magna ipsum", "aute"], "payment_method_types": ["upi_collect", "upi_intent"], "payment_schemes": ["Discover", "Discover"], "recurring_enabled": true } ]
A boolean value to indicate if the connector is in Test mode. By default, its value is false.
false
A boolean value to indicate if the connector is disabled. By default, its value is false.
false
Contains the frm configs for the merchant connector
Show child attributes
Show child attributes
"\n[{\"gateway\":\"stripe\",\"payment_methods\":[{\"payment_method\":\"card\",\"payment_method_types\":[{\"payment_method_type\":\"credit\",\"card_networks\":[\"Visa\"],\"flow\":\"pre\",\"action\":\"cancel_txn\"},{\"payment_method_type\":\"debit\",\"card_networks\":[\"Visa\"],\"flow\":\"pre\"}]}]}]\n"
AF, AX, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, BN, BG, BF, BI, KH, CM, CA, CV, KY, CF, TD, CL, CN, CX, CC, CO, KM, CG, CD, CK, CR, CI, HR, CU, CW, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KP, KR, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MK, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RE, RO, RU, RW, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, SS, ES, LK, SD, SR, SJ, SZ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, UM, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW, US The business label to which the connector account is attached. To be deprecated soon. Use the 'profile_id' instead
"travel"
The business sublabel to which the connector account is attached. To be deprecated soon. Use the 'profile_id' instead
"chase"
identifier for the verified domains of a particular connector account